-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: mystic
Binary: python3-mystic, python-mystic-doc
Architecture: all
Version: 0.4.3-2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Homepage: https://github.com/uqfoundation/mystic
Description: Constrained nonlinear optimization
 The mystic framework provides a collection of optimization algorithms
 and tools that allows the user to more robustly (and easily) solve
 hard optimization problems for machine learning, uncertainty
 quantification and AI.  mystic gives the user fine-grained power to
 both monitor and steer optimizations as the fit processes are
 running.  Users can customize optimizer stop conditions, where both
 compound and user-provided conditions may be used.  Optimizers can
 save state, can be reconfigured dynamically, and can be restarted
 from a saved solver or from a results file.  All solvers can also
 leverage parallel computing, either within each iteration or as an
 ensemble of solvers.
 .
 mystic provides a stock set of configurable, controllable solvers
 with:
  * a common interface
  * a control handler with: pause, continue, exit, and callback
  * ease in selecting initial population conditions: guess, random, etc
  * ease in checkpointing and restarting from a log or saved state
  * the ability to leverage parallel & distributed computing
  * the ability to apply a selection of logging and/or verbose monitors
  * the ability to configure solver-independent termination conditions
  * the ability to impose custom and user-defined penalties and constraints
 .
 mystic is part of pathos, a Python framework for heterogeneous computing.
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mystic
Vcs-Git: https://salsa.debian.org/python-team/packages/mystic.git
Testsuite: autopkgtest
Testsuite-Triggers: python3-all, python3-multiprocess, python3-scipy, python3-sklearn
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-dill (>= 0.3.9), python3-klepto (>= 0.2.6), python3-matplotlib, python3-mpmath, python3-numpy, python3-scipy <!nocheck>, python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-notfound-page <!nodoc>, python3-sphinx-rtd-theme <!nodoc>, python3-sympy
Package-List:
 python-mystic-doc deb doc optional arch=all profile=!nodoc
 python3-mystic deb python optional arch=all
Checksums-Sha1:
 bb8acb7ca55aaa721ff4ffee32159e3d03c73841 818687 mystic_0.4.3.orig.tar.gz
 c78d342656e69734e7b07ba16d688f39c4f1ec1c 4676 mystic_0.4.3-2.debian.tar.xz
Checksums-Sha256:
 4bbcc72d726c3898dcc83c80d1ef1f9de73e9484a33f7a727502abee5e9ea73c 818687 mystic_0.4.3.orig.tar.gz
 df73a48f770c31aefd990a1c14b9a502c16ecab8ba25ec2e44281ed907d318b4 4676 mystic_0.4.3-2.debian.tar.xz
Files:
 9e51d3a3a2daeaf8bd2c92074c89a4ca 818687 mystic_0.4.3.orig.tar.gz
 ac8061bdfef49f36d22573325379b618 4676 mystic_0.4.3-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfncpR22H1vEdkazLwpPntGGCWs4FAmc6hhMACgkQwpPntGGC
Ws44exAAmAxlL6/+5Qtbe5/wJqq1ghAKYU7h328NVyB9me/nf5EYWFNh1C5dVlZH
2Wxhc5VVCNeSr0iHS8jDHehfkYCmrWeKKS4hsGrqQrDoZwJdz0yZNtPN6E3/lMiU
m3fENppMJtMqyuVwghFxA48Wi46lFVCoFnUnhugzEdIG9jKCE+AJguG7I83YTsMH
Y19O1HHoLGBwjtApVMpVT+wk/ZwNLdb+9B2Ptc9+YVJUa4cSiyjxajSALzJEqBXA
I9LH6c2WWFxb1gbq21hQ8uQ1bHyI2SiTWrQ3uBcSaJFBtwxNQdFskYHyFWfDjaHh
+21hM/+q6D2o5M7RY45Xlmp4l/wEaGvCUR2w+1jOX8YaNZcP0XKxYlIFTAtlfx18
dVTO34LyjQK9P+OjrwtyCe8jauOynLXZyp1+1VnKSrytJe2zelmYYR+ogrkVeNFV
A1FFA2FumKxjU+RuaHJcSfOKI5KkvYtzngvShqbcw6rATIUAFiiuCZpX18Tij1za
PNFt2za3btHhKhBpGTlbK/7MKdkiIdyh22mLa6YZnQB3f1LgZGC7LJDqtrcJZeMf
uV5/aC2XFqckm2Ch3e6TEmxq6UcSvPAxrQ5J0FhYHZpJRRJMjkfUnx1ZFByHeZSt
riNnjCF6lSbWpvf9ALm8oa8L3xt/FOZh/VMImPQpgeUOlgKCJaQ=
=n78a
-----END PGP SIGNATURE-----
